part of '../flutterx_live_data.dart';

abstract class Dispatcher {
  static const Dispatcher postFrame = _PostFrameDispatcher();

  const Dispatcher();

  void post(VoidCallback action);
}

class _PostFrameDispatcher extends Dispatcher {
  const _PostFrameDispatcher();

  @override
  void post(VoidCallback action) => WidgetsBinding.instance.endOfFrame.then((_) => action());
}
